Package com.logicaldoc.core.automation

# Class ContextTool

java.lang.Object
com.logicaldoc.core.automation.ContextTool

public class ContextTool extends Object
Utility methods to access the Application context from inside the Automation

Since:
  8.2.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`ContextTool()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getBean(String id)`
Gets a specific bean instance
`List<String>`
`getBeanIds()`
Gets the collection of all the identifiers in the context

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextTool

public ContextTool()

## Method Details

### getBean

public Object getBean(String id)
Gets a specific bean instance

Parameters:
  `id` - identifier of the bean
Returns:
  the instance

### getBeanIds

public List<String> getBeanIds()
Gets the collection of all the identifiers in the context

Returns:
  list of bean identifiers